import Vue from 'vue'
import App from './App.vue'
import Vuex from 'vuex'
import { recentSales } from "./data/data";
import 'bootstrap/dist/css/bootstrap.min.css'
import "@grapecity/spread-sheets/styles/gc.spread.sheets.excel2016colorful.css";

Vue.config.productionTip = false
Vue.use(Vuex)

const store = new Vuex.Store({
  state: {
    recentSales
  },
  mutations: {
    updateRecentSales (state,param) {
      
      let sales=state.recentSales;
      let arr=sales.map(function(o){return o.id});
      param.forEach((newsale)=>{
          if(arr.indexOf(newsale.id)>0){
            console.log("update");
            state.recentSales[arr.indexOf(newsale.id)]=newsale;
          }
          else{
            console.log("add");
            state.recentSales.push(newsale);
          }
      });
      console.log(state.recentSales);
    }
  },
  actions: {
    updateRecentSales ({commit},param) {
      commit('updateRecentSales',param)
    }
  }
});



new Vue({
  render: h => h(App),
  store:store
}).$mount('#app')
